using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Filters;

[ComImport]
[SuppressUnmanagedCodeSecurity]
[ClassInterface(ClassInterfaceType.None)]
[ComSourceInterfaces("Decal.Interop.Filters.IEchoSink2\0\0")]
[Guid("34239EAD-6317-4C40-A405-193BA5232DD8")]
[TypeLibType(2)]
public class EchoFilter2Class : IEcho2, EchoFilter2, IEchoSink2_Event
{
	public virtual extern event IEchoSink2_EchoServerEventHandler EchoServer;

	public virtual extern event IEchoSink2_EchoClientEventHandler EchoClient;
}
